Bug 1258327 - [RFE] Be able to specify Domain & Subnet as free text
[RFE] Be able to specify Domain & Subnet as free text
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Form (Show other bugs)
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Daniel Lobato Garcia
Katello QA List
: FutureFeature
Depends On:
Blocks: 1122832
  Show dependency treegraph
Reported: 2015-08-31 02:10 EDT by Benjamin
Modified: 2018-03-16 17:12 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 11622 None None None 2016-04-26 13:11 EDT

  None (edit)
Description Benjamin 2015-08-31 02:10:06 EDT
Description of problem:
In very big environments where over 800 Subnets and hundreds of Domains exist it is a very big overhead to be forced to configure Domains & Subnets in the Satellite Server when an IP Address Management system (IPAM) is already in place having all those information.

Version-Release number of selected component (if applicable):

Actual results:
User is forced to configure Domains & Subnets to be able to use Satellite Provisioning

Expected results:
Add the possibilty to specify Domain & Network information freely not having to create/manage hundreds of Domains & Subnets on host creation level. 
This would ease the integration of Satellite 6 to other provisioning frameworks where Satellite is only one of several tools being used to provisiong systems.
Comment 1 Bryan Kearney 2015-08-31 08:46:08 EDT
Created redmine issue http://projects.theforeman.org/issues/11622 from this bug
Comment 2 Ohad Levy 2015-08-31 08:51:42 EDT
in that case dhcp / dns functionality will be turned off?
Comment 3 Bryan Kearney 2015-08-31 10:04:08 EDT
Upstream bug component is DHCP & DNS
Comment 4 Bryan Kearney 2015-09-01 06:04:25 EDT
Upstream bug component is Hosts
Comment 6 Stefan Meyer 2016-01-29 06:30:06 EST
I tested this and it seems you always have to create a domain first to use it in the rest call:

curl -k -u ${USER}:${PASS} -d "host[name]=test" -d "host[organization_id]=1" -d "host[location_id]=2" -d "host[hostgroup_id]=9" -d "host[mac]=11:11:11:11:11:11" -d "host[root_pass]=12345678" -d "host[domain_id]=1" -d "host[ip]=" https://${SATELLITE_SERVER}/api/hosts

It would be nice to either provide a fqdn to the host[name] field or create the domain automatically if it does not exist. An option host[domain_name] would then be required
and you have to set either host[domain_name] or host[domain_id].

With the tested rest call it was not necessary to create a network first.
Comment 7 Stefan Meyer 2016-01-29 10:33:17 EST
I tested some more and it seems you need to define a subnet to be able to create a bootdisk. If no subnet is defined for the new system i get this error message:

Failed to render boot disk template: ERF42-7776 [Foreman::Exception]: Host has no subnet defined

Note You need to log in before you can comment on or make changes to this bug.